<?xml version="1.0"?>
<!--
This file contains information related to printer capabilities and features.  It is recommended
that this file NOT be edited directly, but used in conjunction with HP's Web JetAdmin printer
installation utility or with the HP Printing System Customization Utility contained on the
CDROM that shipped with this product.

Editing this file by hand may result in unexpected feature settings in the printer driver UI.
-->
<device>
    <software>
        <component>
            dmc_driver
            <component_header>
                <config_file>hplj2300.cfg</config_file>
                <config_file_version>1.0.0.9</config_file_version>
                <!-- Sept 24, 2002 -->
                <config_timestamp/>
                <config_version>1.0</config_version>
                <!-- Resource DLL Identifier-->
                <component_resource>hpbcfgre.dll</component_resource>
            </component_header>
            <!-- Pre-Configuration Settings Stored in <Current> Element -->
            <current>
                <physical/>
                <printing/>
            </current>
            <factory>
                <!-- !!!!!!!!!!!!!!!!!!!!!!!! PHYSICAL FEATURES !!!!!!!!!!!!!!!!!!!!!!! -->
                <physical resource_id="18">
                    <!-- Bundles -->
                    <!-- The Bundles feature needs to be first in the physical features list
                            because of a defect found when exporting from the driver.  If features
                            with forced constraints are not in the right order, there is a good
                            chance that the forced item macro will cause an unwanted change to
                            the feature that is being forced to change. -->
                    <feature typical="TRUE">
                        Bundles
                        <current_option>HP LaserJet 2300</current_option>
                        <option>
                            HP LaserJet 2300
                            <!-- Memory to 32 MB -->
                            <!-- ManualDuplex ON -->
                            <!-- Duplex Unit OFF -->
                            <!-- No Tray3        -->
                            <constraint>ForcePrintOnBothSidesOff</constraint>
                            <constraint>Bundle_Mopier_NotInstalled</constraint>
                            <constraint>Force_Duplex_Bundle_Var_BASE</constraint>
                            <constraint>Force_M32_Bundle_Var_BASE</constraint>
                            <constraint>Bundle_Memory_Default_Low</constraint>
                            <constraint>Bundle_Duplex_Unit_NotInstalled</constraint>
                            <constraint>Bundle_AllowManualDuplexing_Enabled</constraint>
                            <constraint>Bundle_Tray3_Default_None</constraint>
                            <constraint>Force_Job_Storage_Off</constraint>
                        </option>
                        <option>
                            HP LaserJet 2300L
                            <!-- Memory to 32 MB -->
                            <!-- ManualDuplex ON -->
                            <!-- Duplex Unit OFF -->
                            <!-- No Tray3        -->
                            <constraint>ForcePrintOnBothSidesOff</constraint>
                            <constraint>Bundle_Mopier_NotInstalled</constraint>
                            <constraint>Force_Duplex_Bundle_Var_L</constraint>
                            <constraint>Force_M32_Bundle_Var_L</constraint>
                            <constraint>Bundle_Memory_Default_Low</constraint>
                            <constraint>Bundle_Duplex_Unit_NotInstalled</constraint>
                            <constraint>Bundle_AllowManualDuplexing_Enabled</constraint>
                            <constraint>Bundle_Tray3_Default_None</constraint>
                            <constraint>Force_Job_Storage_Off</constraint>
                        </option>
                        <option>
                            HP LaserJet 2300N
                            <!-- Memory to 48 MB -->
                            <!-- ManualDuplex ON -->
                            <!-- Duplex Unit OFF -->
                            <!-- No Tray3        -->
                            <constraint>ForcePrintOnBothSidesOff</constraint>
                            <constraint>Force_Duplex_Bundle_Var_N</constraint>
                            <constraint>Force_M32_Bundle_Var_N</constraint>
                            <constraint>Bundle_Memory_Default_High</constraint>
                            <constraint>Bundle_Duplex_Unit_NotInstalled</constraint>
                            <constraint>Bundle_AllowManualDuplexing_Enabled</constraint>
                            <constraint>Bundle_Tray3_Default_None</constraint>
                            <constraint>Bundle_Mopier_Installed</constraint>
                            <constraint>Force_Job_Storage_On</constraint>
                        </option>
                        <option>
                            HP LaserJet 2300D
                            <!-- Memory to 48 MB  -->
                            <!-- ManualDuplex OFF -->
                            <!-- Duplex Unit  ON  -->
                            <!-- No Tray3         -->
                            <constraint>Force_Duplex_Bundle_Var_D</constraint>
                            <constraint>Force_M32_Bundle_Var_D</constraint>
                            <constraint>Bundle_Memory_Default_High</constraint>
                            <constraint>Bundle_AllowManualDuplexing_Enabled</constraint>
                            <constraint>Bundle_Duplex_Unit_Installed</constraint>
                            <constraint>Bundle_Tray3_Default_None</constraint>
                            <constraint>Bundle_Mopier_Installed</constraint>
                            <constraint>ForcePrintOnBothSidesOff</constraint>
                            <constraint>Force_Job_Storage_On</constraint>
                        </option>
                        <option>
                            HP LaserJet 2300DN
                            <!-- Memory to 48 MB  -->
                            <!-- ManualDuplex OFF -->
                            <!-- Duplex Unit ON   -->
                            <!-- No Tray3         -->
                            <constraint>Force_Duplex_Bundle_Var_DN</constraint>
                            <constraint>Force_M32_Bundle_Var_DN</constraint>
                            <constraint>Bundle_Memory_Default_High</constraint>
                            <constraint>Bundle_AllowManualDuplexing_Enabled</constraint>
                            <constraint>Bundle_Duplex_Unit_Installed</constraint>
                            <constraint>Bundle_Tray3_Default_None</constraint>
                            <constraint>Bundle_Mopier_Installed</constraint>
                            <constraint>ForcePrintOnBothSidesOff</constraint>
                            <constraint>Force_Job_Storage_On</constraint>
                        </option>

                        <option>
                            HP LaserJet 2300DTN
                            <!-- Memory to 48 MB  -->
                            <!-- ManualDuplex OFF -->
                            <!-- Duplex Unit  ON  -->
                            <!-- Tray3            -->
                            <constraint>Force_Duplex_Bundle_Var_DTN</constraint>
                            <constraint>Force_M32_Bundle_Var_DTN</constraint>
                            <constraint>Bundle_Memory_Default_High</constraint>
                            <constraint>Bundle_AllowManualDuplexing_Enabled</constraint>
                            <constraint>Bundle_Duplex_Unit_Installed</constraint>
                            <constraint>Bundle_Tray3_Default_500</constraint>
                            <constraint>Bundle_Mopier_Installed</constraint>
                            <constraint>ForcePrintOnBothSidesOff</constraint>
                        </option>
                    </feature>
                    <!-- Typical Physical Features -->
                    <!-- Default Printer Memory Installation -->
                    <feature resource_id="787" caption_id="10052" typical="TRUE">
                        <!--range_low="32" range_hi="196"> -->
                        Memory
                        <current_option>32</current_option>
                        <option>
                            <constraint>MakeSureMopyingIsNotEnabled</constraint>
                            <constraint>BundleDoesNotSupportM32Capability</constraint>
                            32
                        </option>
                        <option>
                            48
                        </option>
                        <option>
                            64
                        </option>
                        <option>
                            80
                        </option>
                        <option>
                            96
                        </option>
                        <option>
                            112
                        </option>
                        <option>
                            128
                        </option>
                        <option>
                            144
                        </option>
                        <option>
                            160
                        </option>
                        <option>
                            176
                        </option>
                        <option>
                            192
                        </option>
                        <option>
                            208
                        </option>
                        <option>
                            224
                        </option>
                        <option>
                            240
                        </option>
                        <option>
                            256
                        </option>
                        <option>
                            272
                        </option>
                        <option>
                            288
                        </option>
                        <option>
                            <constraint>BundleDoesNotSupportM304Capability</constraint>
                            304
                        </option>
                    </feature>
                    <!-- Default OptionalPaperSource Installed -->
                    <feature resource_id="710" caption_id="10086" typical="TRUE">
                        OptionalPaperSources
                        <current_option>None</current_option>
                        <option resource_id="8">
                            None
                            <constraint>Check_InputBin_For_Selected_Trays</constraint>
                            <constraint>Set_Tray3_To_NotInstalled</constraint>
                        </option>
                        <!-- 250 sheet choice -->
                        <option resource_id="730">
                            C4793
                            <constraint>Check_InputBin_For_500_Sheet</constraint>
                            <constraint>Set_Tray3_To_250_Sheet</constraint>
                        </option>
                        <!-- 500 sheet -->
                        <option resource_id="725">
                            C7065
                            <constraint>Check_InputBin_For_250_Sheet</constraint>
                            <constraint>Set_Tray3_To_500_Sheet</constraint>
                        </option>
                    </feature>

                    <!-- Job Storage -->
                    <feature resource_id="997" caption_id="10051" typical="TRUE">
                        JobRetention
                        <current_option>Disabled</current_option>
                        <option resource_id="6">
                            Enabled
                            <constraint>Make_Sure_Mopier_Is_Installed</constraint>
                        </option>
                        <option resource_id="7">
                            Disabled
                        </option>
                    </feature>


                    <!-- Mopier Enabled -->
                    <feature resource_id="668" caption_id="10100" typical="TRUE">
                        DeviceIsMopier
                        <current_option>NotInstalled</current_option>
                        <option resource_id="1">
                            Installed
                            <constraint>Make_Sure_48MB_Is_Installed</constraint>
                        </option>
                        <option resource_id="2">
                            NotInstalled
                        </option>
                    </feature>

                    <!-- Default DuplexUnit Installed -->
                    <feature resource_id="662" caption_id="10048" typical="TRUE">
                        DuplexUnit
                        <current_option>NotInstalled</current_option>
                        <option resource_id="1">
                            Installed
                    <!--        <constraint>AllowManualDuplexing_Cannot_Be_On</constraint> -->
                            <constraint>BundleDoesNotSupportAutoDuplexCapability</constraint>
                            <constraint>ForceBothDuplexersVarTRUE1</constraint>
                            <constraint>ForcePrintOnBothSidesOff</constraint>
                        </option>
                        <option resource_id="2">
                            NotInstalled
                            <constraint>PrintOnBothSides_Cannot_Be_On_Auto</constraint>
                            <constraint>ForceBothDuplexersVarFALSE</constraint>
                        </option>
                    </feature>
                    <!-- Default AllowManualDuplexing Enable -->
                    <feature resource_id="666" caption_id="10070" typical="TRUE">
                        ManualDuplex
                        <current_option>Enabled</current_option>
                        <option resource_id="6">
                            Enabled
                            <constraint>ForceBothDuplexersVarTRUE2</constraint>
                        <!--    <constraint>DuplexUnit_Cannot_Be_On</constraint> -->
                            <constraint>ForcePrintOnBothSidesOff</constraint>
                        </option>
                        <option resource_id="7">
                            Disabled
                            <constraint>PrintOnBothSides_Cannot_Be_On_Man</constraint>
                            <constraint>ForceBothDuplexersVarFALSE</constraint>
                        </option>
                    </feature>
                    <!-- Advanced Features -->
                    <!-- Mombi -->
                    <feature editable="FALSE">
                        Tray3
                        <current_option>NotInstalled</current_option>
                        <option>
                            NotInstalled
                        </option>
                        <option>
                            Tray3_250
                        </option>
                        <option>
                            Tray3_500
                        </option>
                    </feature>
                    <feature  resource_id="19" editable="FALSE">
                        ModelSupportingDuplexer
                        <current_option>HP LaserJet 2300</current_option>
                        <option>
                            HP LaserJet 2300
                        </option>
                        <option>
                            HP LaserJet 2300N
                        </option>
                        <option>
                            HP LaserJet 2300L
                        </option>
                        <option>
                            HP LaserJet 2300D
                        </option>
                        <option>
                            HP LaserJet 2300DN
                        </option>
                        <option>
                            HP LaserJet 2300DTN
                        </option>
                    </feature>

                    <feature  resource_id="19" editable="FALSE">
                        ModelSupportingMem
                        <current_option>HP LaserJet 2300</current_option>
                        <option>
                            HP LaserJet 2300
                        </option>
                        <option>
                            HP LaserJet 2300N
                        </option>
                        <option>
                            HP LaserJet 2300L
                        </option>
                        <option>
                            HP LaserJet 2300D
                        </option>
                        <option>
                            HP LaserJet 2300DN
                        </option>
                        <option>
                            HP LaserJet 2300DTN
                        </option>
                    </feature>

                    <feature editable="FALSE">
                        BothDuplexersOn
                        <current_option>FALSE</current_option>
                        <option>
                            FALSE
                        </option>
                        <option resource_id="7">
                            TRUE
                        </option>
                    </feature>


                    <!-- currently not supported in Wizard -->
                    <!-- ScaleFromLargePaper -->
                    <!--
                    <feature editable="TRUE" resource_id="1187">
                        ScaleFromLargePaper
                        <current_option>FALSE</current_option>
                        <option resource_id="10">
                            TRUE
                        </option>
                        <option resource_id="9">
                            FALSE
                        </option>
                    </feature>
                    -->
                </physical>
                <!-- !!!!!!!!!!!!!!!!!!!!!!!! PRINTING FEATURES !!!!!!!!!!!!!!!!!!!!!!!!!!!! -->
                <printing resource_id="17">
                    <!-- TYPICAL FEATURES - (reverse order from display) -->
                    <!-- Default Paper Source Selection -->
                    <feature resource_id="400" caption_id="10018" typical="TRUE" lock="FALSE">
                        InputBin
                        <current_option>PrinterSelect</current_option>
                        <option resource_id="430">
                            PrinterSelect
                        </option>
                        <option resource_id="401">
                            ManualFeed
                        </option>
                        <option resource_id="408">
                            Tray1
                        </option>
                        <option resource_id="409">
                            Tray2
                            <constraint>Check_Tray2_Constraints_For_MediaTypes</constraint>
                            <constraint>Check_Tray2_Constraints_For_PaperSizes</constraint>
                            <constraint>Check_Tray2_Constraints_For_PaperSizes_ABS</constraint>
                        </option>
                        <option resource_id="20401">
                            Tray3_250
                            <constraint>Check_Tray3_250_Constraints_For_PaperSizes</constraint>
                            <constraint>Check_Tray3_250_Constraints_For_PaperSizes_ABS</constraint>
                            <constraint>Check_Tray3_250_Constraints_For_MediaTypes</constraint>
                            <constraint>Requires_Tray3_250_To_Be_Installed</constraint>
                        </option>
                        <option resource_id="446">
                            Tray3_500
                            <constraint>Check_Tray3_500_Constraints_For_PaperSizes</constraint>
                            <constraint>Check_Tray3_500_Constraints_For_PaperSizes_ABS</constraint>
                            <constraint>Check_Tray3_500_Constraints_For_MediaTypes</constraint>
                            <constraint>Requires_Tray3_500_To_Be_Installed</constraint>
                        </option>
                    </feature>
                    <!-- Default MediaType Selection -->
                    <feature resource_id="550" caption_id="10017" typical="TRUE" lock="FALSE">
                        MediaType
                        <current_option>AUTO</current_option>
                        <option resource_id="558">
                            AUTO
                        </option>
                        <option resource_id="559">
                            PLAIN
                        </option>
                        <option resource_id="560">
                            PREPRINTED
                        </option>
                        <option resource_id="561">
                            LETTERHEAD
                        </option>
                        <option resource_id="562">
                            TRANSPARENCY
                            <constraint>MediaType_AND_Tray3_500</constraint>
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                        </option>
                        <option resource_id="564">
                            PREPUNCHED
                        </option>
                        <option resource_id="565">
                            LABELS
                            <constraint>MediaType_AND_Tray2_250</constraint>
                            <constraint>MediaType_AND_Tray3_500</constraint>
                            <constraint>MediaType_AND_Tray3_250</constraint>
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                        </option>
                        <option resource_id="566">
                            BOND
                        </option>
                        <option resource_id="567">
                            RECYCLED
                        </option>
                        <option resource_id="568">
                            COLOR
                        </option>
                        <option resource_id="570">
                            CARDSTOCK
                            <constraint>MediaType_AND_Tray2_250</constraint>
                            <constraint>MediaType_AND_Tray3_500</constraint>
                            <constraint>MediaType_AND_Tray3_250</constraint>
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                        </option>
                        <option resource_id="555">
                            ROUGH
                        </option>
                        <option resource_id="551">
                            ENVELOPE
                            <constraint>MediaType_AND_Tray2_250</constraint>
                            <constraint>MediaType_AND_Tray3_500</constraint>
                            <constraint>MediaType_AND_Tray3_250</constraint>
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                        </option>
                    </feature>
                    <!-- Default Paper Size Selection -->
                    <feature resource_id="200" caption_id="10012" typical="TRUE">
                        PaperSize
                        <current_option>LETTER</current_option>
                        <option resource_id="209">
                            LETTER
                            <constraint>BookletTargetPaperSize_Cannot_Be_A4</constraint>
                        </option>
                        <option resource_id="213">
                            LEGAL
                            <constraint>PaperSize_AND_Tray3_500</constraint>
                            <constraint>BookletTargetPaperSize_Cannot_Be_LETTER</constraint>
                            <constraint>BookletTargetPaperSize_Cannot_Be_A4</constraint>
                        </option>
                        <option resource_id="215">
                            EXECUTIVE
                            <constraint>PaperSize_AND_Tray3_500</constraint>
                            <constraint>Check_BookletPrinting</constraint>
                            <constraint>ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not</constraint>
                        </option>
                        <option resource_id="217">
                            A4
                            <constraint>BookletTargetPaperSize_Cannot_Be_LETTER</constraint>
                            <constraint>BookletTargetPaperSize_Cannot_Be_LEGAL</constraint>
                        </option>
                        <option resource_id="219">
                            A5
                            <constraint>PaperSize_AND_Tray3_500</constraint>
                            <constraint>ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not</constraint>
                            <constraint>Check_BookletPrinting</constraint>
                        </option>
                        <option resource_id="228">
                            ENV_10
                            <constraint>PaperSize_AND_Tray2_250</constraint>
                            <constraint>PaperSize_AND_Tray3_500</constraint>
                            <constraint>PaperSize_AND_Tray3_250</constraint>
                            <constraint>Check_BookletPrinting</constraint>
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                        </option>
                        <option resource_id="236">
                            ENV_C5
                            <constraint>PaperSize_AND_Tray2_250</constraint>
                            <constraint>PaperSize_AND_Tray3_500</constraint>
                            <constraint>PaperSize_AND_Tray3_250</constraint>
                            <constraint>Check_BookletPrinting</constraint>
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                        </option>
                        <option resource_id="242">
                            ENV_B5
                            <constraint>PaperSize_AND_Tray2_250</constraint>
                            <constraint>PaperSize_AND_Tray3_500</constraint>
                            <constraint>PaperSize_AND_Tray3_250</constraint>
                            <constraint>Check_BookletPrinting</constraint>
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                        </option>
                        <option resource_id="235">
                            ENV_DL
                            <constraint>PaperSize_AND_Tray2_250</constraint>
                            <constraint>PaperSize_AND_Tray3_500</constraint>
                            <constraint>PaperSize_AND_Tray3_250</constraint>
                            <constraint>Check_BookletPrinting</constraint>
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                        </option>
                        <option resource_id="245">
                            ENV_MONARCH
                            <constraint>PaperSize_AND_Tray2_250</constraint>
                            <constraint>PaperSize_AND_Tray3_500</constraint>
                            <constraint>PaperSize_AND_Tray3_250</constraint>
                            <constraint>Check_BookletPrinting</constraint>
                            <constraint>Print_On_Both_Sides_Is_Not_Allowed</constraint>
                        </option>
                        <option resource_id="202">
                            B5
                            <constraint>PaperSize_AND_Tray3_500</constraint>
                            <constraint>ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not</constraint>
                            <constraint>Check_BookletPrinting</constraint>
                        </option>
                        <option resource_id="221">
                            B5_JIS
                            <constraint>PaperSize_AND_Tray3_500</constraint>
                            <constraint>ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not</constraint>
                            <constraint>Check_BookletPrinting</constraint>
                        </option>
                        <option resource_id="274">
                            DBL_JAPANESE_POSTCARD
                            <constraint>PaperSize_AND_Tray2_250</constraint>
                            <constraint>PaperSize_AND_Tray3_500</constraint>
                            <constraint>PaperSize_AND_Tray3_250</constraint>
                            <constraint>ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not</constraint>
                            <constraint>Check_BookletPrinting</constraint>
                        </option>
                        <option resource_id="327">
                            EXECUTIVE_JIS
                            <constraint>PaperSize_AND_Tray3_500</constraint>
                            <constraint>Check_BookletPrinting</constraint>
                        </option>
                        <option resource_id="208">
                            16K
                            <constraint>PaperSize_AND_Tray3_500</constraint>
                            <constraint>ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not</constraint>
                            <constraint>Check_BookletPrinting</constraint>
                        </option>
            <!--        <option resource_id="356">
                            8_5X13
                            <constraint>PaperSize_AND_Tray2_250</constraint>
                            <constraint>PaperSize_AND_Tray3_500</constraint>
                            <constraint>PaperSize_AND_Tray3_250</constraint>
                            <constraint>Check_BookletPrinting</constraint>
                        </option> -->
                    </feature>
                    <!-- Default Print Quality Setting -->
                    <feature resource_id="760" caption_id="10019" typical="TRUE">
                        PrintQuality
                        <current_option>Default</current_option>
                        <option resource_id="3">
                            Default
                        </option>
                        <option resource_id="768">
                            Best
                        </option>
                        <option resource_id="769">
                            Normal
                        </option>
                        <option resource_id="" editable="FALSE">
                            Custom
                        </option>
                    </feature>
                    <!-- Default Orientation Setting -->
                    <feature resource_id="850" caption_id="10013" typical="TRUE">
                        Orientation
                        <current_option>Portrait</current_option>
                        <option resource_id="851">
                            Portrait
                        </option>
                        <option resource_id="852">
                            Landscape
                        </option>
                        <option resource_id="853">
                            RotatedPortrait
                        </option>
                        <option resource_id="854">
                            RotatedLandscape
                        </option>
                    </feature>

                    <feature editable="FALSE" typical="TRUE">
                        StraightPaperPath
                        <current_option>OFF</current_option>
                        <option>
                            OFF
                        </option>
                        <option>
                            ON
                        </option>
                    </feature>


                    <!-- Default for Print On Both Sides -->
                    <feature resource_id="1000" caption_id="10014" typical="TRUE" lock="FALSE">
                        Duplex
                        <current_option>FALSE</current_option>
                        <option resource_id="10">
                            TRUE
                            <constraint>Check_DuplexInstall_To_Enable_PrintOnBothSides</constraint>
                            <!-- <constraint>Check_LABELS_To_Enable_PrintOnBothSides</constraint>
                            <constraint>Check_TRANSPARENCY_To_Enable_PrintOnBothSides</constraint>
                            <constraint>Check_ENVELOPE_To_Enable_PrintOnBothSides</constraint> -->
                            <constraint>Check_MediaTypes_That_Cant_Be_Duplexed</constraint>
                            <constraint>Check_PaperSizes_That_Cant_Be_Duplexed</constraint>
                            <constraint>Check_EXECUTIVE_To_Enable_PrintOnBothSides</constraint>
                            <constraint>Check_EXECUTIVE_To_Enable_PrintOnBothSides_ABS</constraint>
                            <constraint>Check_A5_To_Enable_PrintOnBothSides</constraint>
                            <constraint>Check_A5_To_Enable_PrintOnBothSides_ABS</constraint>
                            <constraint>Check_16K_To_Enable_PrintOnBothSides</constraint>
                            <constraint>Check_16K_To_Enable_PrintOnBothSides_ABS</constraint>
                            <constraint>Check_B5_JIS_To_Enable_PrintOnBothSides</constraint>
                            <constraint>Check_B5_JIS_To_Enable_PrintOnBothSides_ABS</constraint>
                            <constraint>Check_B5_To_Enable_PrintOnBothSides</constraint>
                            <constraint>Check_B5_To_Enable_PrintOnBothSides_ABS</constraint>
                            <constraint>Check_DBL_POSTCARD_JIS_To_Enable_PrintOnBothSides</constraint>
                            <constraint>Check_DBL_POSTCARD_JIS_To_Enable_PrintOnBothSides_ABS</constraint>
                            <!-- DuplexEdge -->
                            <feature resource_id="1001" caption_id="10063" typical="TRUE">
                                DuplexEdge
                                <current_option>LongEdge</current_option>
                                <option resource_id="1002">
                                    LongEdge
                                </option>
                                <option resource_id="1003">
                                    ShortEdge
                                </option>
                            </feature>
                        </option>
                        <option resource_id="9">
                            FALSE
                            <constraint>Check_Booklet_To_Disable_PrintOnBothSides</constraint>
                        </option>
                    </feature>
                    <!-- ADVANCED FEATURES - (same order as display) -->
                    <!-- PageOrder -->
                    <feature resource_id="1130" caption_id="10015">
                        PageOrder
                        <current_option>FrontToBack</current_option>
                        <option resource_id="1135">
                            FrontToBack
                        </option>
                        <option resource_id="1136">
                            BackToFront
                        </option>
                    </feature>
                    <!-- All NUp Features-->
                    <!-- NUpChoice -->
                    <feature resource_id="1100" caption_id="10021">
                        NUpChoice
                        <current_option>OneUp</current_option>
                        <option resource_id="1101">
                            OneUp
                        </option>
                        <option resource_id="1102">
                            TwoUp
                            <constraint>Is_Booklet_On</constraint>
                            <constraint>PrintDocumentOn_Cannot_Be_On</constraint>
                            <constraint>Check_Scale_Equal_100</constraint>
                            <!-- NUpPageOrderChoice -->
                            <feature resource_id="1137" caption_id="10054">
                                NUpPageOrderChoice
                                <current_option>RightThenDown</current_option>
                                <option resource_id="1131">
                                    RightThenDown
                                </option>
                                <option resource_id="1132">
                                    DownThenRight
                                </option>
                                <option resource_id="1133">
                                    LeftThenDown
                                </option>
                                <option resource_id="1134">
                                    DownThenLeft
                                </option>
                            </feature>
                            <!-- NUpBordersChoice -->
                            <feature resource_id="1140" caption_id="10022">
                                NUpBordersChoice
                                <constraint>Is_Booklet_On</constraint>
                                <current_option>NoBorders</current_option>
                                <option resource_id="10">
                                    PrintBorders
                                </option>
                                <option resource_id="9">
                                    NoBorders
                                </option>
                            </feature>
                        </option>
                        <option resource_id="1103">
                            FourUp
                            <constraint>Is_Booklet_On</constraint>
                            <constraint>PrintDocumentOn_Cannot_Be_On</constraint>
                            <constraint>Check_Scale_Equal_100</constraint>
                            <!-- NUpPageOrderChoice -->
                            <feature resource_id="1137" caption_id="10054">
                                NUpPageOrderChoice
                                <current_option>RightThenDown</current_option>
                                <option resource_id="1131">
                                    RightThenDown
                                </option>
                                <option resource_id="1132">
                                    DownThenRight
                                </option>
                                <option resource_id="1133">
                                    LeftThenDown
                                </option>
                                <option resource_id="1134">
                                    DownThenLeft
                                </option>
                            </feature>
                            <!-- NUpBordersChoice -->
                            <feature resource_id="1140" caption_id="10022">
                                NUpBordersChoice
                                <current_option>PrintBorders</current_option>
                                <option resource_id="10">
                                    PrintBorders
                                </option>
                                <option resource_id="9">
                                    NoBorders
                                </option>
                            </feature>
                        </option>
                        <option resource_id="1104">
                            SixUp
                            <constraint>Is_Booklet_On</constraint>
                            <constraint>PrintDocumentOn_Cannot_Be_On</constraint>
                            <constraint>Check_Scale_Equal_100</constraint>
                            <!-- NUpPageOrderChoice -->
                            <feature resource_id="1137" caption_id="10054">
                                NUpPageOrderChoice
                                <current_option>RightThenDown</current_option>
                                <option resource_id="1131">
                                    RightThenDown
                                </option>
                                <option resource_id="1132">
                                    DownThenRight
                                </option>
                                <option resource_id="1133">
                                    LeftThenDown
                                </option>
                                <option resource_id="1134">
                                    DownThenLeft
                                </option>
                            </feature>
                            <!-- NUpBordersChoice -->
                            <feature resource_id="1140" caption_id="10022">
                                NUpBordersChoice
                                <current_option>PrintBorders</current_option>
                                <option resource_id="10">
                                    PrintBorders
                                </option>
                                <option resource_id="9">
                                    NoBorders
                                </option>
                            </feature>
                        </option>
                        <option resource_id="1105">
                            NineUp
                            <constraint>Is_Booklet_On</constraint>
                            <constraint>PrintDocumentOn_Cannot_Be_On</constraint>
                            <constraint>Check_Scale_Equal_100</constraint>
                            <!-- NUpPageOrderChoice -->
                            <feature resource_id="1137" caption_id="10054">
                                NUpPageOrderChoice
                                <current_option>RightThenDown</current_option>
                                <option resource_id="1131">
                                    RightThenDown
                                </option>
                                <option resource_id="1132">
                                    DownThenRight
                                </option>
                                <option resource_id="1133">
                                    LeftThenDown
                                </option>
                                <option resource_id="1134">
                                    DownThenLeft
                                </option>
                            </feature>
                            <!-- NUpBordersChoice -->
                            <feature resource_id="1140" caption_id="10022">
                                NUpBordersChoice
                                <current_option>PrintBorders</current_option>
                                <option resource_id="10">
                                    PrintBorders
                                </option>
                                <option resource_id="9">
                                    NoBorders
                                </option>
                            </feature>
                        </option>
                        <option resource_id="1106">
                            SixteenUp
                            <constraint>Is_Booklet_On</constraint>
                            <constraint>PrintDocumentOn_Cannot_Be_On</constraint>
                            <constraint>Check_Scale_Equal_100</constraint>
                            <!-- NUpPageOrderChoice -->
                            <feature resource_id="1137" caption_id="10054">
                                NUpPageOrderChoice
                                <current_option>RightThenDown</current_option>
                                <option resource_id="1131">
                                    RightThenDown
                                </option>
                                <option resource_id="1132">
                                    DownThenRight
                                </option>
                                <option resource_id="1133">
                                    LeftThenDown
                                </option>
                                <option resource_id="1134">
                                    DownThenLeft
                                </option>
                            </feature>
                            <!-- NUpBordersChoice -->
                            <feature resource_id="1140" caption_id="10022">
                                NUpBordersChoice
                                <current_option>PrintBorders</current_option>
                                <option resource_id="10">
                                    PrintBorders
                                </option>
                                <option resource_id="9">
                                    NoBorders
                                </option>
                            </feature>
                        </option>
                    </feature>
                    <!-- BookletPrintingChoice -->
                    <feature resource_id="1120" caption_id="10023">
                        BookletPrintingChoice
                        <current_option>OFF</current_option>
                        <option resource_id="14">
                            OFF
                            <constraint>Force_BookletTargetSize_To_None</constraint>
                        </option>
                        <option resource_id="1121">
                            LeftEdge
                            <constraint>Check_NUP</constraint>
                            <constraint>Check_Duplex_To_Allow_Booklet</constraint>
                            <constraint>Check_Scaling_To_Allow_Booklet</constraint>
                            <constraint>Check_Scale_Equal_100_To_Allow_Booklet</constraint>
                            <constraint>Check_PaperSizes_To_Allow_Booklet</constraint>
                            <constraint>Force_BookletTargetSize_To_Sizeis_Value1</constraint>
                            <constraint>Force_BookletTargetSize_To_Sizeis_Value2</constraint>
                            <constraint>Force_BookletTargetSize_To_Sizeis_Value3</constraint>
                        </option>
                        <option resource_id="1122">
                            RightEdge
                            <constraint>Check_NUP</constraint>
                            <constraint>Check_Duplex_To_Allow_Booklet</constraint>
                            <constraint>Check_Scaling_To_Allow_Booklet</constraint>
                            <constraint>Check_Scale_Equal_100_To_Allow_Booklet</constraint>
                            <constraint>Check_PaperSizes_To_Allow_Booklet</constraint>
                            <constraint>Force_BookletTargetSize_To_Sizeis_Value1</constraint>
                            <constraint>Force_BookletTargetSize_To_Sizeis_Value2</constraint>
                            <constraint>Force_BookletTargetSize_To_Sizeis_Value3</constraint>
                        </option>
                    </feature>
                    <!-- BookletTargetSize -->
                    <feature resource_id="1124" caption_id="10067">
                        BookletTargetSize
                        <current_option>None</current_option>
                        <option>
                            None
                            <!-- <constraint>Force_BookletPrintingDummyVariable_To_OFF</constraint> -->
                        </option>
                        <option resource_id="209" editable="FALSE">
                            LETTER
                            <constraint>When_BookletTargetSize_Is_Letter_PaperSize_Cannot_Be</constraint>
                            <constraint>Check_PaperSizes_To_Allow_Booklet</constraint>
                        </option>
                        <option resource_id="213" editable="FALSE">
                            LEGAL
                            <constraint>When_BookletTargetSize_Is_Legal_PaperSize_Cannot_Be</constraint>
                            <constraint>Check_PaperSizes_To_Allow_Booklet</constraint>
                        </option>
                        <option resource_id="217" editable="FALSE">
                            A4
                            <constraint>When_BookletTargetSize_Is_A4_PaperSize_Cannot_Be</constraint>
                            <constraint>Check_PaperSizes_To_Allow_Booklet</constraint>
                        </option>
                    </feature>
                    <!-- EconoMode -->
                    <feature resource_id="782" caption_id="10020">
                        EconoMode
                        <current_option>FALSE</current_option>
                        <option resource_id="10">
                            TRUE
                        </option>
                        <option resource_id="9">
                            FALSE
                        </option>
                    </feature>
                    <!-- TTAsBitmapSetting-->
                    <feature resource_id="1170" caption_id="10044">
                        TTAsBitmapSetting
                        <current_option>TTModeOutline</current_option>
                        <option resource_id="9">
                            TTModeOutline
                        </option>
                        <option resource_id="10">
                            TTModeBitmap
                        </option>
                    </feature>
                    <!-- TextAsBlack-->
                    <feature resource_id="901" caption_id="10043">
                        TextAsBlack
                        <current_option>FALSE</current_option>
                        <option resource_id="9">
                            FALSE
                        </option>
                        <option resource_id="10">
                            TRUE
                        </option>
                    </feature>
                    <!-- PrintDocumentOn -->
                    <feature resource_id="1182" caption_id="10025">
                        FitToOtherSizeChoice
                        <current_option>PrintActualSize</current_option>
                        <option resource_id="9">
                            PrintActualSize
                            <constraint>ForceScaleToFit_Off</constraint>
                            <constraint>Force_TargetPaperSize_To_Letter</constraint>
                            <constraint>Force_PaperSize_To_Letter</constraint>
                        </option>
                        <option resource_id="10">
                            FitToOtherSize
                            <constraint>Check_NUP</constraint>
                            <constraint>Check_Scale_Equal_100</constraint>
                            <constraint>Check_BookletPrinting</constraint>
                            <!--<constraint>FitToOtherSizeChoice_FitToOtherSize</constraint> -->
                            <!-- TargetSizeChoice-->
                            <feature resource_id="1185" caption_id="10012">
                                TargetSizeChoice
                                <current_option>LETTER</current_option>
                                <option resource_id="209">
                                    LETTER
                                </option>
                                <option resource_id="213">
                                    LEGAL
                                    <constraint>PaperSize_AND_Tray3_500_ABS</constraint>
                                </option>
                                <option resource_id="215">
                                    EXECUTIVE
                                    <constraint>PaperSize_AND_Tray3_500_ABS</constraint>
                                    <constraint>ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not_ABS</constraint>
                                </option>
                                <option resource_id="217">
                                    A4
                                </option>
                                <option resource_id="219">
                                    A5
                                    <constraint>PaperSize_AND_Tray3_500_ABS</constraint>
                                    <constraint>ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not_ABS</constraint>
                                </option>
                                <option resource_id="228">
                                    ENV_10
                                    <constraint>PaperSize_AND_Tray2_250_ABS</constraint>
                                    <constraint>PaperSize_AND_Tray3_500_ABS</constraint>
                                    <constraint>PaperSize_AND_Tray3_250_ABS</constraint>
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                </option>
                                <option resource_id="236">
                                    ENV_C5
                                    <constraint>PaperSize_AND_Tray2_250_ABS</constraint>
                                    <constraint>PaperSize_AND_Tray3_500_ABS</constraint>
                                    <constraint>PaperSize_AND_Tray3_250_ABS</constraint>
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                </option>
                                <option resource_id="242">
                                    ENV_B5
                                    <constraint>PaperSize_AND_Tray2_250_ABS</constraint>
                                    <constraint>PaperSize_AND_Tray3_500_ABS</constraint>
                                    <constraint>PaperSize_AND_Tray3_250_ABS</constraint>
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                </option>
                                <option resource_id="235">
                                    ENV_DL
                                    <constraint>PaperSize_AND_Tray2_250_ABS</constraint>
                                    <constraint>PaperSize_AND_Tray3_500_ABS</constraint>
                                    <constraint>PaperSize_AND_Tray3_250_ABS</constraint>
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                </option>
                                <option resource_id="245">
                                    ENV_MONARCH
                                    <constraint>PaperSize_AND_Tray2_250_ABS</constraint>
                                    <constraint>PaperSize_AND_Tray3_500_ABS</constraint>
                                    <constraint>PaperSize_AND_Tray3_250_ABS</constraint>
                                    <constraint>Print_On_Both_Sides_Is_Not_Allowed_ABS</constraint>
                                </option>
                                <option resource_id="202">
                                    B5
                                    <constraint>PaperSize_AND_Tray3_500_ABS</constraint>
                                    <constraint>ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not_ABS</constraint>
                                </option>
                                <option resource_id="221">
                                    B5_JIS
                                    <constraint>PaperSize_AND_Tray3_500_ABS</constraint>
                                    <constraint>ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not_ABS</constraint>
                                </option>
                                <option resource_id="274">
                                    DBL_JAPANESE_POSTCARD
                                    <constraint>PaperSize_AND_Tray2_250_ABS</constraint>
                                    <constraint>PaperSize_AND_Tray3_500_ABS</constraint>
                                    <constraint>PaperSize_AND_Tray3_250_ABS</constraint>
                                    <constraint>ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not_ABS</constraint>
                                </option>
                                <option resource_id="327">
                                    EXECUTIVE_JIS
                                    <constraint>PaperSize_AND_Tray3_500_ABS</constraint>
                                </option>
                                <option resource_id="208">
                                    16K
                                    <constraint>PaperSize_AND_Tray3_500_ABS</constraint>
                                    <constraint>ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not_ABS</constraint>
                                </option>
                <!--            <option resource_id="356">
                                    8_5X13
                                    <constraint>PaperSize_AND_Tray2_250_ABS</constraint>
                                    <constraint>PaperSize_AND_Tray3_500_ABS</constraint>
                                    <constraint>PaperSize_AND_Tray3_250_ABS</constraint>
                                </option>  -->
                            </feature>
                        </option>
                    </feature>
                    <!-- "Scale To Fit" ON/OFF -->
                    <feature resource_id="1183" caption_id="10026">
                        ScalePageChoice
                        <current_option>FitWithoutScaling</current_option>
                        <option resource_id="10">
                            ScaleToFit
                            <constraint>ScaleToFit_Must_Be_Actual_Size</constraint>
                        </option>
                        <option resource_id="9">
                            FitWithoutScaling
                        </option>
                    </feature>
                    <!-- Percent of Normal Size: -->
                    <feature resource_id="1184" caption_id="10027" range_low="25" range_hi="400">
                        ScaleChoice
                        <current_option>100</current_option>
                        <constraint>Is_Booklet_On</constraint>
                        <constraint>PrintDocumentOn_Cannot_Be_On</constraint>
                        <constraint>Check_NUP</constraint>
                    </feature>
                    <!-- Watermarks -->
                    <feature resource_id="2000" caption_id="10028">
                        Watermarks
                        <current_option>None</current_option>
                        <option resource_id="8">
                            None
                        </option>
                        <option resource_id="2002">
                            Confidential
                            <feature resource_id="2005" caption_id="10032">
                                WMFont
                                <current_option>Arial</current_option>
                                <option>
                                    Times New Roman
                                </option>
                                <option>
                                    Courier New
                                </option>
                                <option>
                                    Arial
                                </option>
                            </feature>
                            <feature resource_id="2007" caption_id="10034">
                                WMShadeLevel
                                <current_option>VeryLight</current_option>
                                <option resource_id="2008">
                                    Lightest
                                </option>
                                <option resource_id="2009">
                                    VeryLight
                                </option>
                                <option resource_id="2010">
                                    Light
                                </option>
                                <option resource_id="2011">
                                    MediumLight
                                </option>
                                <option resource_id="2012">
                                    Medium
                                </option>
                                <option resource_id="2013">
                                    MediumDark
                                </option>
                                <option resource_id="2014">
                                    Dark
                                </option>
                                <option resource_id="2015">
                                    VeryDark
                                </option>
                                <option resource_id="2016">
                                    Darkest
                                </option>
                            </feature>
                            <feature resource_id="2017" caption_id="10034">
                                WMColor
                                <current_option>Gray</current_option>
                                <option resource_id="2018">
                                    Gray
                                </option>
                            </feature>
                            <feature resource_id="2004" caption_id="10029">
                                WMFirstPageOnly
                                <current_option>AllPages</current_option>
                                <option resource_id="9">
                                    AllPages
                                </option>
                                <!--<option resource_id="">
                                        NoPages
                                    </option> -->
                                <option resource_id="10">
                                    FirstPageOnly
                                </option>
                            </feature>
                            <feature resource_id="2026" caption_id="10036">
                                WMFontStyle
                                <current_option>Regular</current_option>
                                <option resource_id="2027">
                                    Regular
                                </option>
                                <option resource_id="2028">
                                    Bold
                                </option>
                                <option resource_id="2029">
                                    Italic
                                </option>
                                <option resource_id="2030">
                                    BoldItalic
                                </option>
                                <!--    Taken out since the Mombi driver does not
                                    support them.  4/18/02
                                <option resource_id="2031">
                                    Underline
                                </option>
                                <option resource_id="2032">
                                    Strikeout
                                </option>
                            -->
                            </feature>
                            <feature resource_id="2033" caption_id="10031">
                                WMFontEscapement
                                <current_option>Diagonal</current_option>
                                <option resource_id="3035">
                                    Diagonal
                                </option>
                                <option resource_id="2034">
                                    Horizontal
                                </option>
                                <option resource_id="15">
                                    Custom
                                    <feature range_low="0" range_hi="360" resource_id="2033" caption_id="10031">
                                        WMCustomAngle
                                        <current_option>52</current_option>
                                    </feature>
                                </option>
                            </feature>
                        </option>
                        <option resource_id="2001">
                            Draft
                            <feature resource_id="2005" caption_id="10032">
                                WMFont
                                <current_option>Arial</current_option>
                                <option>
                                    Times New Roman
                                </option>
                                <option>
                                    Courier New
                                </option>
                                <option>
                                    Arial
                                </option>
                            </feature>
                            <feature resource_id="2007" caption_id="10034">
                                WMShadeLevel
                                <current_option>VeryLight</current_option>
                                <option resource_id="2008">
                                    Lightest
                                </option>
                                <option resource_id="2009">
                                    VeryLight
                                </option>
                                <option resource_id="2010">
                                    Light
                                </option>
                                <option resource_id="2011">
                                    MediumLight
                                </option>
                                <option resource_id="2012">
                                    Medium
                                </option>
                                <option resource_id="2013">
                                    MediumDark
                                </option>
                                <option resource_id="2014">
                                    Dark
                                </option>
                                <option resource_id="2015">
                                    VeryDark
                                </option>
                                <option resource_id="2016">
                                    Darkest
                                </option>
                            </feature>
                            <feature resource_id="2017" caption_id="10034">
                                WMColor
                                <current_option>Gray</current_option>
                                <option resource_id="2018">
                                    Gray
                                </option>
                            </feature>
                            <feature resource_id="2004" caption_id="10029">
                                WMFirstPageOnly
                                <current_option>AllPages</current_option>
                                <option resource_id="9">
                                    AllPages
                                </option>
                                <!--<option resource_id="">
                                    NoPages
                                </option> -->
                                <option resource_id="10">
                                    FirstPageOnly
                                </option>
                            </feature>
                            <feature resource_id="2026" caption_id="10036">
                                WMFontStyle
                                <current_option>Regular</current_option>
                                <option resource_id="2027">
                                    Regular
                                </option>
                                <option resource_id="2028">
                                    Bold
                                </option>
                                <option resource_id="2029">
                                    Italic
                                </option>
                                <option resource_id="2030">
                                    BoldItalic
                                </option>
                                <!-- Taken out since the Mombi driver does not
                                    support them.  4/18/02
                                <option resource_id="2031">
                                    Underline
                                </option>
                                <option resource_id="2032">
                                    Strikeout
                                </option> -->
                            </feature>
                            <feature resource_id="2033" caption_id="10031">
                                WMFontEscapement
                                <current_option>Diagonal</current_option>
                                <option resource_id="3035">
                                    Diagonal
                                </option>
                                <option resource_id="2034">
                                    Horizontal
                                </option>
                                <option resource_id="15">
                                    Custom
                                    <feature range_low="0" range_hi="360" resource_id="2033" caption_id="10031">
                                        WMCustomAngle
                                        <current_option>52</current_option>
                                    </feature>
                                </option>
                            </feature>
                        </option>
                        <option resource_id="2003">
                            Sample
                            <feature resource_id="2005" caption_id="10032">
                                WMFont
                                <current_option>Arial</current_option>
                                <option>
                                    Times New Roman
                                </option>
                                <option>
                                    Courier New
                                </option>
                                <option>
                                    Arial
                                </option>
                            </feature>
                            <feature resource_id="2007" caption_id="10034">
                                WMShadeLevel
                                <current_option>VeryLight</current_option>
                                <option resource_id="2008">
                                    Lightest
                                </option>
                                <option resource_id="2009">
                                    VeryLight
                                </option>
                                <option resource_id="2010">
                                    Light
                                </option>
                                <option resource_id="2011">
                                    MediumLight
                                </option>
                                <option resource_id="2012">
                                    Medium
                                </option>
                                <option resource_id="2013">
                                    MediumDark
                                </option>
                                <option resource_id="2014">
                                    Dark
                                </option>
                                <option resource_id="2015">
                                    VeryDark
                                </option>
                                <option resource_id="2016">
                                    Darkest
                                </option>
                            </feature>
                            <feature resource_id="2017" caption_id="10034">
                                WMColor
                                <current_option>Gray</current_option>
                                <option resource_id="2018">
                                    Gray
                                </option>
                            </feature>
                            <feature resource_id="2004" caption_id="10029">
                                WMFirstPageOnly
                                <current_option>AllPages</current_option>
                                <option resource_id="9">
                                    AllPages
                                </option>
                                <!--<option resource_id="">
                                    NoPages
                                </option> -->
                                <option resource_id="10">
                                    FirstPageOnly
                                </option>
                            </feature>
                            <feature resource_id="2026" caption_id="10036">
                                WMFontStyle
                                <current_option>Regular</current_option>
                                <option resource_id="2027">
                                    Regular
                                </option>
                                <option resource_id="2028">
                                    Bold
                                </option>
                                <option resource_id="2029">
                                    Italic
                                </option>
                                <option resource_id="2030">
                                    BoldItalic
                                </option>
                                <!-- Taken out since Mombi driver does not support them.4/18/02
                                    <option resource_id="2031">
                                        Underline
                                    </option>
                                    <option resource_id="2032">
                                    Strikeout
                                    </option>-->
                            </feature>
                            <feature resource_id="2033" caption_id="10031">
                                WMFontEscapement
                                <current_option>Diagonal</current_option>
                                <option resource_id="3035">
                                    Diagonal
                                </option>
                                <option resource_id="2034">
                                    Horizontal
                                </option>
                                <option resource_id="15">
                                    Custom
                                    <feature range_low="0" range_hi="360" resource_id="2033" caption_id="10031">
                                        WMCustomAngle
                                        <current_option>52</current_option>
                                    </feature>
                                </option>
                            </feature>
                        </option>
                    </feature>
                    <!-- Copies -->
                    <feature resource_id="1021" caption_id="10037" range_low="1" range_hi="9999">
                        Copies
                        <current_option>1</current_option>
                    </feature>
                    <!-- Halftone (UNIDRV)
                    <feature resource_id="903" caption_id="10038">
                        Halftone
                        <current_option>HT_PATSIZE_AUTO</current_option>
                        <option resource_id="573">
                            HT_PATSIZE_AUTO
                        </option>
                        <option resource_id="904">
                            HT_PATSIZE_SUPERCELL_M
                        </option>
                        <option resource_id="905">
                            HT_PATSIZE_6x6_M
                        </option>
                        <option resource_id="906">
                            HT_PATSIZE_8x8_M
                        </option>
                    </feature>  -->
                    <!-- LanguageLevel (PSCRIPT) -->
                    <feature resource_id="5001" caption_id="10064">
                        LanguageLevel
                        <current_option>3</current_option>
                        <option>
                            1
                        </option>
                        <option>
                            2
                        </option>
                        <option>
                            3
                        </option>
                    </feature>
                    <!-- NegativePrint (PSCRIPT)-->
                    <feature resource_id="5005" caption_id="10066">
                        NegativePrint
                        <current_option>FALSE</current_option>
                        <option resource_id="9">
                            FALSE
                        </option>
                        <option resource_id="10">
                            TRUE
                        </option>
                    </feature>
                    <!-- MirrorPrint (PSCRIPT)-->
                    <feature resource_id="5006" caption_id="10065">
                        MirrorPrint
                        <current_option>FALSE</current_option>
                        <option resource_id="9">
                            FALSE
                        </option>
                        <option resource_id="10">
                            TRUE
                        </option>
                    </feature>
                </printing>
                <!--             CONSTRAINTS SECTION "Physical" features            -->
                <constraints>
                    <constraint>
                        Force_Duplex_Bundle_Var_BASE
                        <requires>
                            <item force="TRUE">physical/ModelSupportingDuplexer == HP LaserJet 2300</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Force_Duplex_Bundle_Var_L
                        <requires>
                            <item force="TRUE">physical/ModelSupportingDuplexer == HP LaserJet 2300L</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Force_Duplex_Bundle_Var_N
                        <requires>
                            <item force="TRUE">physical/ModelSupportingDuplexer == HP LaserJet 2300N</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Force_Duplex_Bundle_Var_D
                        <requires>
                            <item force="TRUE">physical/ModelSupportingDuplexer == HP LaserJet 2300D</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Force_Duplex_Bundle_Var_DN
                        <requires>
                            <item force="TRUE">physical/ModelSupportingDuplexer == HP LaserJet 2300DN</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Force_Duplex_Bundle_Var_DTN
                        <requires>
                            <item force="TRUE">physical/ModelSupportingDuplexer == HP LaserJet 2300DTN</item>
                        </requires>
                    </constraint>
                    <constraint>
                        BundleDoesNotSupportAutoDuplexCapability
                        <forbids>
                            <item>physical/ModelSupportingDuplexer == HP LaserJet 2300</item>
                            <item>physical/ModelSupportingDuplexer == HP LaserJet 2300N</item>
                            <item>physical/ModelSupportingDuplexer == HP LaserJet 2300L</item>
                        </forbids>
                    </constraint>

                    <constraint>
                        Force_M32_Bundle_Var_BASE
                        <requires>
                            <item force="TRUE">physical/ModelSupportingMem == HP LaserJet 2300</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Force_M32_Bundle_Var_L
                        <requires>
                            <item force="TRUE">physical/ModelSupportingMem == HP LaserJet 2300L</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Force_M32_Bundle_Var_N
                        <requires>
                            <item force="TRUE">physical/ModelSupportingMem == HP LaserJet 2300N</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Force_M32_Bundle_Var_D
                        <requires>
                            <item force="TRUE">physical/ModelSupportingMem == HP LaserJet 2300D</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Force_M32_Bundle_Var_DN
                        <requires>
                            <item force="TRUE">physical/ModelSupportingMem == HP LaserJet 2300DN</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Force_M32_Bundle_Var_DTN
                        <requires>
                            <item force="TRUE">physical/ModelSupportingMem == HP LaserJet 2300DTN</item>
                        </requires>
                    </constraint>
                    <constraint>
                        BundleDoesNotSupportM32Capability
                        <forbids>
                            <item>physical/ModelSupportingMem == HP LaserJet 2300N</item>
                            <item>physical/ModelSupportingMem == HP LaserJet 2300D</item>
                            <item>physical/ModelSupportingMem == HP LaserJet 2300DN</item>
                            <item>physical/ModelSupportingMem == HP LaserJet 2300DTN</item>
                        </forbids>
                    </constraint>

                    <constraint>
                        BundleDoesNotSupportM304Capability
                        <forbids>
                            <item>physical/ModelSupportingMem == HP LaserJet 2300</item>
                            <item>physical/ModelSupportingMem == HP LaserJet 2300L</item>
                        </forbids>
                    </constraint>

                    <constraint>
                        ForceBothDuplexersVarTRUE1
                        <requires>
                            <item>physical/ManualDuplex == Disabled</item>
                        </requires>
                        <requires>
                            <item force="TRUE">physical/BothDuplexersOn == TRUE</item>
                        </requires>
                    </constraint>

                    <constraint>
                        ForceBothDuplexersVarTRUE2
                        <requires>
                            <item>physical/DuplexUnit == NotInstalled</item>
                        </requires>
                        <requires>
                            <item force="TRUE">physical/BothDuplexersOn == TRUE</item>
                        </requires>
                    </constraint>

                    <constraint>
                        ForceBothDuplexersVarFALSE
                        <requires>
                            <item force="TRUE">physical/BothDuplexersOn == FALSE</item>
                        </requires>
                    </constraint>

                    <!-- When Enabling Mopying -->
                    <constraint>
                        Make_Sure_48MB_Is_Installed
                        <forbids>
                            <item>physical/Memory == 32</item>
                        </forbids>
                    </constraint>

                    <constraint>
                        MakeSureMopyingIsNotEnabled
                        <forbids>
                            <item>physical/DeviceIsMopier == Installed</item>
                        </forbids>
                    </constraint>

                    <constraint>
                        Make_Sure_Mopier_Is_Installed
                        <requires>
                            <item>physical/DeviceIsMopier == Installed</item>
                        </requires>
                    </constraint>

                    <constraint>
                        Force_Job_Storage_On
                        <requires>
                            <item force="TRUE">physical/JobRetention == Enabled</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Force_Job_Storage_Off
                        <requires>
                            <item force="TRUE">physical/JobRetention == Disabled</item>
                        </requires>
                    </constraint>

                    <!-- Bundle Option: Memory -->
                    <constraint>
                        Bundle_Memory_Default_Low
                        <requires>
                            <item force="TRUE">physical/Memory == 32</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Bundle_Memory_Default_High
                        <requires>
                            <item force="TRUE">physical/Memory == 48</item>
                        </requires>
                    </constraint>

                    <!-- Bundle Option: Mopier -->
                    <constraint>
                        Bundle_Mopier_NotInstalled
                        <requires>
                            <item force="TRUE">physical/DeviceIsMopier == NotInstalled</item>
                        </requires>
                    </constraint>

                    <constraint>
                        Bundle_Mopier_Installed
                        <requires>
                            <item force="TRUE">physical/DeviceIsMopier == Installed</item>
                        </requires>
                    </constraint>

                    <!--  Bundle Option: Duplex Unit -->
                    <constraint>
                        Bundle_Duplex_Unit_NotInstalled
                        <requires>
                            <item force="TRUE">physical/DuplexUnit == NotInstalled</item>
                        </requires>
                    </constraint>

                    <constraint>
                        Bundle_Duplex_Unit_Installed
                        <requires>
                            <item force="TRUE">physical/DuplexUnit == Installed</item>
                        </requires>
                    </constraint>

                    <!--  Bundle Option: AllowManualDuplexing -->
                    <constraint>
                        Bundle_AllowManualDuplexing_Disabled
                        <requires>
                            <item force="TRUE">physical/ManualDuplex == Disabled</item>
                        </requires>
                    </constraint>

                    <constraint>
                        Bundle_AllowManualDuplexing_Enabled
                        <requires>
                            <item force="TRUE">physical/ManualDuplex == Enabled</item>
                        </requires>
                    </constraint>

                    <!-- Bundle Option: Trays -->
                    <constraint OnExportOnly="TRUE">
                        Bundle_Tray3_Default_500
                        <requires>
                            <item force="TRUE">physical/OptionalPaperSources == C7065</item>
                            <item force="TRUE">physical/Tray3 == Tray3_500</item>
                        </requires>
                    </constraint>

                    <constraint OnExportOnly="TRUE">
                        Bundle_Tray3_Default_None
                        <requires>
                            <item force="TRUE">physical/OptionalPaperSources == None</item>
                            <item force="TRUE">physical/Tray3 == NotInstalled</item>
                        </requires>
                    </constraint>

                    <!-- When an Optional Paper Source is selected,
                         set TrayX for Mombi drivers -->
                    <constraint OnExportOnly="TRUE">
                        Set_Tray3_To_NotInstalled
                        <requires>
                            <item force="TRUE">physical/Tray3 == NotInstalled</item>
                        </requires>
                    </constraint>

                    <constraint OnExportOnly="TRUE">
                        Set_Tray3_To_250_Sheet
                        <requires>
                            <item force="TRUE">physical/Tray3 == Tray3_250</item>
                        </requires>
                    </constraint>

                    <constraint OnExportOnly="TRUE">
                        Set_Tray3_To_500_Sheet
                        <requires>
                            <item force="TRUE">physical/Tray3 == Tray3_500</item>
                        </requires>
                    </constraint>

                    <!--  Paper Source to None -->
                    <constraint>
                        Check_InputBin_For_Selected_Trays
                        <forbids>
                            <item>printing/InputBin == Tray3_250</item>
                            <item>printing/InputBin == Tray3_500</item>
                        </forbids>
                    </constraint>

                    <!--  Paper Source to 250 Sheet -->
                    <constraint>
                        Check_InputBin_For_500_Sheet
                        <forbids>
                            <item>printing/InputBin == Tray3_500</item>
                        </forbids>
                    </constraint>

                    <!--  Paper Source to 500 Sheet -->
                    <constraint>
                        Check_InputBin_For_250_Sheet
                        <forbids>
                            <item>printing/InputBin == Tray3_250</item>
                        </forbids>
                    </constraint>

                    <!-- AllowManualDuplexing and Duplex Unit -->
                    <constraint>
                        PrintOnBothSides_Cannot_Be_On_Auto
                        <forbids>
                            <item>physical/ManualDuplex == Disabled</item>
                        </forbids>
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>

                    <constraint>
                        PrintOnBothSides_Cannot_Be_On_Man
                        <requires>
                            <item force="TRUE">printing/Duplex == FALSE</item>
                        </requires>
                    </constraint>


                    <!-- NEW -->
                    <constraint>
                        ForcePrintOnBothSidesOff
                        <requires>
                            <item force="TRUE">printing/Duplex == FALSE</item>
                        </requires>
                    </constraint>

                    <constraint>
                        AllowManualDuplexing_Cannot_Be_On
                        <forbids>
                            <item>physical/ManualDuplex == Enabled</item>
                        </forbids>
                    </constraint>

                    <constraint>
                        DuplexUnit_Cannot_Be_On
                        <forbids>
                            <item>physical/DuplexUnit == Installed</item>
                        </forbids>
                    </constraint>

                    <!-- CONSTRAINTS SECTION  "Properties" features        -->
                    <!-- Trays vs. Media Types and Paper Sizes             -->
                    <constraint>
                        Check_Tray2_Constraints_For_MediaTypes
                        <forbids>
                            <item>printing/MediaType == LABELS</item>
                            <item>printing/MediaType == ENVELOPE</item>
                            <item>printing/MediaType == CARDSTOCK</item>
                        </forbids>
                    </constraint>

                    <constraint>
                        Check_Tray2_Constraints_For_PaperSizes
                        <forbids>
                            <item>printing/FitToOtherSizeChoice == PrintActualSize</item>
                        </forbids>
                        <forbids>
                            <item>printing/PaperSize == DBL_JAPANESE_POSTCARD</item>
                            <item>printing/PaperSize == ENV_10</item>
                            <item>printing/PaperSize == ENV_MONARCH</item>
                            <item>printing/PaperSize == ENV_C5</item>
                            <item>printing/PaperSize == ENV_DL</item>
                            <item>printing/PaperSize == ENV_B5</item>
                <!--        <item>printing/PaperSize == 8_5X13</item> -->
                        </forbids>
                    </constraint>

                    <constraint>
                        Check_Tray2_Constraints_For_PaperSizes_ABS
                        <forbids>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == DBL_JAPANESE_POSTCARD</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == ENV_10</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == ENV_MONARCH</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == ENV_C5</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == ENV_DL</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == ENV_B5</item>
                <!--        <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == 8_5X13</item> -->
                        </forbids>
                    </constraint>

                    <!-- -->
                    <constraint>
                        Check_Tray3_250_Constraints_For_MediaTypes
                        <forbids>
                            <item>printing/FitToOtherSizeChoice == PrintActualSize</item>
                        </forbids>
                        <forbids>
                            <item>printing/MediaType == LABELS</item>
                            <item>printing/MediaType == ENVELOPE</item>
                            <item>printing/MediaType == CARDSTOCK</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        Check_Tray3_250_Constraints_For_PaperSizes
                        <forbids>
                            <item>printing/FitToOtherSizeChoice == PrintActualSize</item>
                        </forbids>
                        <forbids>
                            <item>printing/PaperSize == DBL_JAPANESE_POSTCARD</item>
                            <item>printing/PaperSize == ENV_10</item>
                            <item>printing/PaperSize == ENV_MONARCH</item>
                            <item>printing/PaperSize == ENV_C5</item>
                            <item>printing/PaperSize == ENV_DL</item>
                            <item>printing/PaperSize == ENV_B5</item>
                <!--        <item>printing/PaperSize == 8_5X13</item> -->
                        </forbids>
                    </constraint>

                    <constraint>
                        Check_Tray3_250_Constraints_For_PaperSizes_ABS
                        <forbids>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == DBL_JAPANESE_POSTCARD</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == ENV_10</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == ENV_MONARCH</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == ENV_C5</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == ENV_DL</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == ENV_B5</item>
                <!--        <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == 8_5X13</item> -->
                        </forbids>
                    </constraint>

                    <!-- -->
                    <constraint>
                        Check_Tray3_500_Constraints_For_MediaTypes
                        <forbids>
                            <item>printing/MediaType == LABELS</item>
                            <item>printing/MediaType == TRANSPARANCY</item>
                            <item>printing/MediaType == CARDSTOCK</item>
                            <item>printing/MediaType == ENVELOPE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        Check_Tray3_500_Constraints_For_PaperSizes
                        <forbids>
                            <item>printing/FitToOtherSizeChoice == PrintActualSize</item>
                        </forbids>
                        <forbids>
                            <item>printing/PaperSize == LEGAL</item>
                            <item>printing/PaperSize == EXECUTIVE</item>
                            <item>printing/PaperSize == A5</item>
                            <item>printing/PaperSize == B5_JIS</item>
                            <item>printing/PaperSize == B5</item>
                            <item>printing/PaperSize == 16K</item>
                            <item>printing/PaperSize == DBL_JAPANESE_POSTCARD</item>
                            <item>printing/PaperSize == ENV_10</item>
                            <item>printing/PaperSize == ENV_MONARCH</item>
                            <item>printing/PaperSize == ENV_C5</item>
                            <item>printing/PaperSize == ENV_DL</item>
                            <item>printing/PaperSize == ENV_B5</item>
                            <item>printing/PaperSize == EXECUTIVE_JIS</item>
            <!--            <item>printing/PaperSize == 8_5X13</item>  -->
                        </forbids>
                    </constraint>
                    <constraint>
                        Check_Tray3_500_Constraints_For_PaperSizes_ABS
                        <forbids>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == LEGAL</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == EXECUTIVE</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == A5</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == B5_JIS</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == B5</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == 16K</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == DBL_JAPANESE_POSTCARD</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == ENV_10</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == ENV_MONARCH</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == ENV_C5</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == ENV_DL</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == ENV_B5</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == EXECUTIVE_JIS</item>
            <!--            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == 8_5X13</item> -->
                        </forbids>
                    </constraint>

                    <!-- Tray 3 Must Be 250 sheet and Installed for Mombi -->
                    <constraint OnExportOnly="TRUE">
                        Requires_Tray3_250_To_Be_Installed
                        <requires>
                            <item>physical/OptionalPaperSources == C4793</item>
                            <item>physical/Tray3 == Tray3_250</item>
                        </requires>
                    </constraint>

                    <!-- Tray 3 Must Be 500 sheet and Installed for Mombi -->
                    <constraint OnExportOnly="TRUE">
                        Requires_Tray3_500_To_Be_Installed
                        <requires>
                            <item>physical/OptionalPaperSources == C7065</item>
                            <item>physical/Tray3 == Tray3_500</item>
                        </requires>
                    </constraint>

                    <!-- MediaType Selection -->
                    <constraint>
                        MediaType_AND_Tray2_250
                        <forbids>
                            <item>printing/InputBin == Tray2</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        MediaType_AND_Tray3_250
                        <forbids>
                            <item>printing/InputBin == Tray3_250</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        MediaType_AND_Tray3_500
                        <forbids>
                            <item>printing/InputBin == Tray3_500</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        Print_On_Both_Sides_Is_Not_Allowed
                        <forbids>
                            <item>printing/FitToOtherSizeChoice == PrintActualSize</item>
                        </forbids>
                        <forbids>
                            <item>printing/Duplex == True</item>
                        </forbids>
                    </constraint>

                    <constraint>
                        Print_On_Both_Sides_Is_Not_Allowed_ABS
                        <forbids>
                            <item>printing/Duplex == True</item>
                        </forbids>
                    </constraint>

                    <!-- Paper Size Selection -->
                    <constraint>
                        PaperSize_AND_Tray2_250
                        <forbids>
                            <item>printing/FitToOtherSizeChoice == PrintActualSize</item>
                        </forbids>
                        <forbids>
                            <item>printing/InputBin == Tray2</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_AND_Tray3_250
                        <forbids>
                            <item>printing/FitToOtherSizeChoice == PrintActualSize</item>
                        </forbids>
                        <forbids>
                            <item>printing/InputBin == Tray3_250</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_AND_Tray3_500
                        <forbids>
                            <item>printing/FitToOtherSizeChoice == PrintActualSize</item>
                        </forbids>
                        <forbids>
                            <item>printing/InputBin == Tray3_500</item>
                        </forbids>
                    </constraint>

                    <constraint>
                        PaperSize_AND_Tray2_250_ABS
                        <forbids>
                            <item>printing/InputBin == Tray2</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_AND_Tray3_250_ABS
                        <forbids>
                            <item>printing/InputBin == Tray3_250</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_AND_Tray3_500_ABS
                        <forbids>
                            <item>printing/InputBin == Tray3_500</item>
                        </forbids>
                    </constraint>



                    <!-- Constaints For "Print On Both Sides" Selection -->
                    <constraint>
                        Check_DuplexInstall_To_Enable_PrintOnBothSides
                        <requires>
                            <item>physical/ManualDuplex == Enabled</item>
                        </requires>
                        <requires>
                            <item>physical/DuplexUnit == Installed</item>
                        </requires>
                    </constraint>
                    <!--   -->
                    <!-- Does not apply to KF
                    <constraint>
                        Check_LABELS_To_Enable_PrintOnBothSides
                        <requires>
                            <item>physical/ManualDuplex == Enabled</item>
                        </requires>
                        <requires>
                            <item>physical/DuplexUnit == Installed</item>
                            <item>printing/MediaType != LABELS</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Check_TRANSPARENCY_To_Enable_PrintOnBothSides
                        <requires>
                            <item>physical/ManualDuplex == Enabled</item>
                        </requires>
                        <requires>
                            <item>physical/DuplexUnit == Installed</item>
                            <item>printing/MediaType != TRANSPARENCY</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Check_ENVELOPE_To_Enable_PrintOnBothSides
                        <requires>
                            <item>physical/ManualDuplex == Enabled</item>
                        </requires>
                        <requires>
                            <item>physical/DuplexUnit == Installed</item>
                            <item>printing/MediaType != ENVELOPE</item>
                        </requires>
                    </constraint>  -->
                    <!--   -->
                    <constraint>
                        Check_MediaTypes_That_Cant_Be_Duplexed
                        <forbids>
                            <item>printing/MediaType == TRANSPARENCY</item>
                            <item>printing/MediaType == LABELS</item>
                            <item>printing/MediaType == ENVELOPE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        Check_PaperSizes_That_Cant_Be_Duplexed
                        <forbids>
                            <item>printing/PaperSize == ENV_10</item>
                            <item>printing/PaperSize == ENV_MONARCH</item>
                            <item>printing/PaperSize == ENV_C5</item>
                            <item>printing/PaperSize == ENV_DL</item>
                            <item>printing/PaperSize == ENV_B5</item>
                        </forbids>
                    </constraint>
                    <!-- For checking PrintOnBothSides  -->
                    <constraint>
                        Check_EXECUTIVE_To_Enable_PrintOnBothSides
                        <requires>
                            <item>printing/FitToOtherSizeChoice == FitToOtherSize</item>
                        </requires>
                        <requires>
                            <item>physical/ManualDuplex == Enabled</item>
                        </requires>
                        <requires>
                            <item>physical/DuplexUnit == Installed</item>
                            <item>printing/PaperSize != EXECUTIVE</item>
                        </requires>
                    </constraint>

                    <constraint>
                        Check_EXECUTIVE_To_Enable_PrintOnBothSides_ABS
                        <requires>
                            <item>physical/ManualDuplex == Enabled</item>
                        </requires>
                        <requires>
                            <item>physical/DuplexUnit == Installed</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice != EXECUTIVE</item>
                        </requires>
                    </constraint>
                                    <!-- -->
                    <constraint>
                        Check_A5_To_Enable_PrintOnBothSides
                        <requires>
                            <item>printing/FitToOtherSizeChoice == FitToOtherSize</item>
                        </requires>
                        <requires>
                            <item>physical/ManualDuplex == Enabled</item>
                        </requires>
                        <requires>
                            <item>physical/DuplexUnit == Installed</item>
                            <item>printing/PaperSize != A5</item>
                        </requires>
                    </constraint>

                    <constraint>
                        Check_A5_To_Enable_PrintOnBothSides_ABS
                        <requires>
                            <item>physical/ManualDuplex == Enabled</item>
                        </requires>
                        <requires>
                            <item>physical/DuplexUnit == Installed</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice != A5</item>
                        </requires>
                    </constraint>
                                    <!-- -->
                    <constraint>
                        Check_B5_JIS_To_Enable_PrintOnBothSides
                        <requires>
                            <item>printing/FitToOtherSizeChoice == FitToOtherSize</item>
                        </requires>
                        <requires>
                            <item>physical/ManualDuplex == Enabled</item>
                        </requires>
                        <requires>
                            <item>physical/DuplexUnit == Installed</item>
                            <item>printing/PaperSize != B5_JIS</item>
                        </requires>
                    </constraint>

                    <constraint>
                        Check_B5_JIS_To_Enable_PrintOnBothSides_ABS
                        <requires>
                            <item>physical/ManualDuplex == Enabled</item>
                        </requires>
                        <requires>
                            <item>physical/DuplexUnit == Installed</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice != B5_JIS</item>
                        </requires>
                    </constraint>
                                    <!-- -->
                    <constraint>
                        Check_B5_To_Enable_PrintOnBothSides
                        <requires>
                            <item>printing/FitToOtherSizeChoice == FitToOtherSize</item>
                        </requires>
                        <requires>
                            <item>physical/ManualDuplex == Enabled</item>
                        </requires>
                        <requires>
                            <item>physical/DuplexUnit == Installed</item>
                            <item>printing/PaperSize != B5</item>
                        </requires>
                    </constraint>

                    <constraint>
                        Check_B5_To_Enable_PrintOnBothSides_ABS
                        <requires>
                            <item>physical/ManualDuplex == Enabled</item>
                        </requires>
                        <requires>
                            <item>physical/DuplexUnit == Installed</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice != B5</item>
                        </requires>
                    </constraint>
                                    <!-- -->
                    <constraint>
                        Check_16K_To_Enable_PrintOnBothSides
                        <requires>
                            <item>printing/FitToOtherSizeChoice == FitToOtherSize</item>
                        </requires>
                        <requires>
                            <item>physical/ManualDuplex == Enabled</item>
                        </requires>
                        <requires>
                            <item>physical/DuplexUnit == Installed</item>
                            <item>printing/PaperSize != 16K</item>
                        </requires>
                    </constraint>

                    <constraint>
                        Check_16K_To_Enable_PrintOnBothSides_ABS
                        <requires>
                            <item>physical/ManualDuplex == Enabled</item>
                        </requires>
                        <requires>
                            <item>physical/DuplexUnit == Installed</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice != 16K</item>
                        </requires>
                    </constraint>
                                    <!-- -->
                    <constraint>
                        Check_DBL_POSTCARD_JIS_To_Enable_PrintOnBothSides
                        <requires>
                            <item>printing/FitToOtherSizeChoice == FitToOtherSize</item>
                        </requires>
                        <requires>
                            <item>physical/ManualDuplex == Enabled</item>
                        </requires>
                        <requires>
                            <item>physical/DuplexUnit == Installed</item>
                            <item>printing/PaperSize != DBL_JAPANESE_POSTCARD</item>
                        </requires>
                    </constraint>

                    <constraint>
                        Check_DBL_POSTCARD_JIS_To_Enable_PrintOnBothSides_ABS
                        <requires>
                            <item>physical/ManualDuplex == Enabled</item>
                        </requires>
                        <requires>
                            <item>physical/DuplexUnit == Installed</item>
                            <item>printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice != DBL_JAPANESE_POSTCARD</item>
                        </requires>
                    </constraint>
                    <!--   -->
                    <constraint>
                        ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not
                        <forbids>
                            <item>printing/FitToOtherSizeChoice == PrintActualSize</item>
                        </forbids>
                        <forbids>
                            <item>physical/BothDuplexersOn == FALSE</item>
                        </forbids>
                        <forbids>
                            <item>physical/DuplexUnit == Installed</item>
                        </forbids>
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>

                    <constraint>
                        ManualDuplex_Is_OK_BUT_AutoDuplex_Is_Not_ABS
                        <forbids>
                            <item>physical/BothDuplexersOn == FALSE</item>
                        </forbids>
                        <forbids>
                            <item>physical/DuplexUnit == Installed</item>
                        </forbids>
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>

                    <!-- Warn to Turn BookletPrinting OFF -->
                    <constraint>
                        Check_Booklet_To_Disable_PrintOnBothSides
                        <requires>
                            <item>printing/BookletPrintingChoice == OFF</item>
                        </requires>
                    </constraint>

                    <!-- Booklet Printing -->
                    <constraint>
                        Check_Duplex_To_Allow_Booklet
                        <requires>
                            <item>printing/Duplex == TRUE</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Check_Scaling_To_Allow_Booklet
                        <requires>
                            <item>printing/FitToOtherSizeChoice == PrintActualSize</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Check_Scale_Equal_100_To_Allow_Booklet
                        <requires>
                            <item>printing/ScaleChoice == 100</item>
                        </requires>
                    </constraint>

                    <!-- Force BookletTargetSize to Size is value -->
                    <constraint>
                        Force_BookletTargetSize_To_None
                        <requires>
                            <item force="TRUE">
                                printing/BookletTargetSize == None
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[LETTER] ~~ LETTER
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[LEGAL] ~~ LEGAL
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[A4] ~~ A4
                                <option_attrib editable="FALSE"/>
                            </item>
                        </requires>
                    </constraint>

                    <!-- Paper size is LETTER -->
                    <constraint>
                        Force_BookletTargetSize_To_Sizeis_Value1
                        <requires>
                            <item>printing/PaperSize == A4</item>
                        </requires>
                        <requires>
                            <item>printing/PaperSize == LEGAL</item>
                        </requires>
                        <requires>
                            <item force="TRUE">
                                printing/BookletTargetSize == LETTER
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[LEGAL] ~~ LEGAL
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[A4] ~~ A4
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[None] ~~ None
                                <option_attrib editable="FALSE"/>
                            </item>
                        </requires>
                    </constraint>

                    <!-- Paper size is LEGAL -->
                    <constraint>
                        Force_BookletTargetSize_To_Sizeis_Value2
                        <requires>
                            <item>printing/PaperSize == A4</item>
                        </requires>
                        <requires>
                            <item>printing/PaperSize == LETTER</item>
                        </requires>
                        <requires>
                            <item force="TRUE">
                                printing/BookletTargetSize == LEGAL
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[LETTER] ~~ LETTER
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[A4] ~~ A4
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[None] ~~ None
                                <option_attrib editable="FALSE"/>
                            </item>
                        </requires>
                    </constraint>

                    <!-- Paper size is A4 -->
                    <constraint>
                        Force_BookletTargetSize_To_Sizeis_Value3
                        <requires>
                            <item>printing/PaperSize == LETTER</item>
                        </requires>
                        <requires>
                            <item>printing/PaperSize == LEGAL</item>
                        </requires>
                        <requires>
                            <item force="TRUE">
                                printing/BookletTargetSize == A4
                                <option_attrib editable="TRUE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[LEGAL] ~~ LEGAL
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[LETTER] ~~ LETTER
                                <option_attrib editable="FALSE"/>
                            </item>
                            <item force="TRUE">
                                printing/BookletTargetSize[None] ~~ None
                                <option_attrib editable="FALSE"/>
                            </item>
                        </requires>
                    </constraint>

                    <!-- Called from two places: For setting Target PaperSize and Booklet Enable -->
                    <constraint>
                        Check_PaperSizes_To_Allow_Booklet
                        <forbids>
                            <item>printing/PaperSize == EXECUTIVE</item>
                            <item>printing/PaperSize == A3</item>
                            <item>printing/PaperSize == A5</item>
                            <item>printing/PaperSize == 16K</item>
                            <item>printing/PaperSize == B5_JIS</item>
                            <item>printing/PaperSize == B5</item>
                            <item>printing/PaperSize == ENV_10</item>
                            <item>printing/PaperSize == ENV_MONARCH</item>
                            <item>printing/PaperSize == ENV_DL</item>
                            <item>printing/PaperSize == ENV_B5</item>
                            <item>printing/PaperSize == EXECUTIVE_JIS</item>
                            <item>printing/PaperSize == DBL_JAPANESE_POSTCARD</item>
            <!--            <item>printing/PaperSize == 8_5X13</item> -->
                        </forbids>
                    </constraint>

                    <!-- BookletTargetSize option  -->
                    <constraint>
                        Check_BookletPrinting
                        <requires>
                            <item>printing/BookletPrintingChoice == Off </item>
                        </requires>
                    </constraint>
                    <constraint>
                        BookletTargetPaperSize_Cannot_Be_A4
                        <forbids>
                            <item>printing/BookletTargetSize == A4</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        BookletTargetPaperSize_Cannot_Be_LETTER
                        <forbids>
                            <item>printing/BookletTargetSize == LETTER</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        BookletTargetPaperSize_Cannot_Be_LEGAL
                        <forbids>
                            <item>printing/BookletTargetSize == LEGAL</item>
                        </forbids>
                    </constraint>

                    <!-- PaperSizes Required Per Booklet Target Size -->
                    <constraint>
                        When_BookletTargetSize_Is_Letter_PaperSize_Cannot_Be
                        <forbids>
                            <item>printing/PaperSize == A4</item>
                            <item>printing/PaperSize == LEGAL</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        When_BookletTargetSize_Is_A4_PaperSize_Cannot_Be
                        <forbids>
                            <item>printing/PaperSize == LETTER</item>
                            <item>printing/PaperSize == LEGAL</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        When_BookletTargetSize_Is_Legal_PaperSize_Cannot_Be
                        <forbids>
                            <item>printing/PaperSize == A4</item>
                        </forbids>
                    </constraint>

                    <!-- Booklet and NUP are Incompatible -->
                    <!-- Booklet and Percent_Not_100 are Incompatible -->
                    <constraint>
                        Is_Booklet_On
                        <forbids>
                            <item>printing/BookletPrintingChoice == LeftEdge</item>
                            <item>printing/BookletPrintingChoice == RightEdge</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        Check_NUP
                        <forbids>
                            <item>printing/NUpChoice != OneUp</item>
                        </forbids>
                    </constraint>

                    <!-- ScaleToFit Must be Set to Paper's Actual Size -->
                    <constraint>
                        ScaleToFit_Must_Be_Actual_Size
                        <forbids>
                            <item>printing/FitToOtherSizeChoice == PrintActualSize</item>
                        </forbids>
                    </constraint>

                    <!-- PrintDocumentOn checked to Off -->
                    <constraint>
                        ForceScaleToFit_Off
                        <requires>
                            <item force="TRUE">printing/ScalePageChoice == FitWithoutScaling</item>
                        </requires>
                    </constraint>

                    <!-- PrintDocumentOn checked to ON -->
                    <constraint>
                        PrintDocumentOn_Cannot_Be_On
                        <forbids>
                            <item>printing/FitToOtherSizeChoice == FitToOtherSize</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        Check_Scale_Equal_100
                        <requires>
                            <item>printing/ScaleChoice == 100</item>
                        </requires>
                    </constraint>

                    <!-- PrintDocumentOn checked to Off -->
                    <constraint>
                        Force_TargetPaperSize_To_Letter
                        <requires>
                            <item force="TRUE">printing/FitToOtherSizeChoice[FitToOtherSize]/TargetSizeChoice == LETTER</item>
                        </requires>
                    </constraint>
                    <constraint>
                        Force_PaperSize_To_Letter
                        <requires>
                            <item force="TRUE">printing/PaperSize == LETTER</item>
                        </requires>
                    </constraint>
                </constraints>
            </factory>
        </component>
    </software>
</device>
